# std::_BinClos< _Oper, _Constant, _Expr, typename _Dom::value_type, _Dom > Struct Template Reference

Inheritance diagram for std::_BinClos< _Oper, _Constant, _Expr, typename _Dom::value_type, _Dom >:

List of all members.

## Detailed Description

### template<class _Oper, class _Dom>
struct std::_BinClos< _Oper, _Constant, _Expr, typename _Dom::value_type, _Dom >

Definition at line 634 of file valarray_before.h.

## Public Types

- typedef _BinBase1< _Oper,
  _Dom > _Base
- typedef _Dom::value_type _Tp
- typedef _Dom::value_type _Vt
- typedef _Base::value_type value_type

## Public Member Functions

- _BinClos (const _Tp &__e1, const _Dom &__e2)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h